/* -------------------------------
   Import Fonts
---------------------------------- */

@import url("https://fonts.googleapis.com/css2?family=Lexend:wght@100..900&family=Roboto+Slab:wght@100..900&display=swap");

/* -------------------------------
   CSS Variables
---------------------------------- */
:root {
  --primary-darker: #055276;
  --primary-normal: #077bb0;
  --primary-light: #b3e5fc;
  --seconday-darker: #19381b;
  --secondary-normal: #337136;
  --secondary-light: #81c784;
  --primary-font: "Lexend", Arial, sans-serif;
  --secondary-font: "Roboto Slab", Georgia, serif;
  --text-color: #4f4f4f;
}

/* -------------------------------
   General Styling
---------------------------------- */

* {
  box-sizing: border-box;
}

body {
  margin: 0 auto;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  font-size: large;
  font-family: var(--primary-font);
  color: var(--text-color);
  line-height: 1.5;
  letter-spacing: 0.1em;
}

/* -------------------------------
   Headings
---------------------------------- */

h1,
h2 {
  letter-spacing: 0.2em;
  text-align: center;
  color: var(--primary-normal);
}
h1 {
  font-family: var(--primary-font);
  margin-top: 0;
  font-size: 1.65rem;
}

h2 {
  font-family: var(--secondary-font);
  font-size: 1.5rem;
}

/* -------------------------------
   Layout Elements
---------------------------------- */

section {
  margin-top: 0px;
}
main {
  padding-top: 60px;
  margin: 0 8%;
  flex: 1 0 auto;
}

/* -------------------------------
   Link Styling
---------------------------------- */
a {
  color: var(--primary-normal);
  text-decoration: none;
}

a:hover,
a:focus,
.skip-link:focus {
  color: var(--primary-darker);
  text-decoration: underline;
}

a:active {
  color: var(--primary-normal);
  text-decoration: underline;
}

i {
  padding: 0 5px;
  font-size: 1.8rem;
}

/* -------------------------------
   Utility Classes
---------------------------------- */

.hidden {
  display: none;
}

.sr-only {
  /* Accessible Invisible Content (WEBAIM) */
  position: absolute;
  left: -10000px;
  top: auto;
  width: 1px;
  height: 1px;
  overflow: hidden;
}

.align-center {
  text-align: center;
}
.margin-top {
  margin-top: 20px;
}

/* -------------------------------
   Flexbox and Grid Containers
---------------------------------- */

.flex-container {
  display: flex;
  justify-content: space-around;
  flex-wrap: wrap;
  gap: 20px;
}
.flex-center {
  align-items: center;
  justify-content: center;
}

.grid-container {
  display: grid;
}

/* -------------------------------
   Accessibility: Skip to Main Content
---------------------------------- */

.skip-link {
  position: absolute;
  top: -50px;
  left: 80px;
  padding: 10px;
  font-size: 80%;
  z-index: 0;
  text-decoration: none;
  color: transparent;
  transition: top 0.3s ease;
}

.skip-link:focus {
  top: 8px;
}

/* -------------------------------
   Navigation
---------------------------------- */
nav {
  position: sticky;
  left: 0;
  top: 0;
  z-index: 99;
  height: 60px;
  width: 100%;
  padding: 0 10px;
  background-color: #ffffff;
  display: flex;
  justify-content: space-between;
  align-items: center;
  box-shadow: 0px 6px 20px rgba(0, 0, 0, 0.2);
}

/* Hide the checkbox */
#nav-toggle {
  display: none;
}

i #nav-toggle-label {
  font-size: 2rem;
  cursor: pointer;
}

#nav-toggle-label {
  margin-right: 10px;
}

nav .logo-name {
  font-size: 130%;
  margin-left: 10px;
  font-weight: bold;
  display: none;
  letter-spacing: 0.1em;
}

nav .logo-image {
  margin-left: 15px;
  height: 32px;
  float: left;
}

nav ul {
  padding-left: 15px;
}

.nav-menu-list {
  display: none;
  list-style-type: none;
  font-size: 120%;
  position: absolute;
  top: 32px;
  left: 0;
  background-color: #ffffff;
  width: 100%;
  box-shadow: 0px 20px 20px -15px rgba(0, 0, 0, 0.2);
}

.nav-menu-list > li {
  margin: 1rem 0;
}

/*style for menu links*/

nav a,
.nav-menu-list a {
  text-decoration: none;
  color: var(--text-color);
}
nav a:hover {
  text-decoration: none;
}

.nav-menu-list a {
  border-radius: 25px;
  padding: 6px 18px;
}

.nav-menu-list .active {
  color: #ffffff;
  background-color: var(--primary-normal);
}

.nav-menu-list a:hover,
.nav-menu-list a:focus {
  background-color: var(--primary-light);
  color: var(--text-color);
}
/* 

/*Nav menu appears when checkbox is selected*/
#nav-toggle:checked + #nav-toggle-label + .nav-menu-list {
  display: block;
}

/* -------------------------------
   Hero Cover Styling
---------------------------------- */

.hero-image {
  padding-top: 47px;
  height: 600px;
  width: 100%;
  position: relative;
}
#home-hero {
  background: url("../images/pexels-leeloothefirst-7304974.webp") no-repeat
    center center/cover;
}
#services-hero {
  background: url("../images/pexels-jorgeural-9129566.webp") no-repeat center
    center/cover;
}
#events-hero {
  background: url("../images/pexels-rdne-7551752.webp") no-repeat center
    center/cover;
}

.hero-heading {
  position: absolute;
  bottom: 30px;
  right: 0;
  width: 70%;
  min-height: 160px;
  margin-right: 15px;
  padding: 15px;
  box-sizing: border-box;
  color: #ffffff;
  background-color: rgba(5, 82, 118, 0.9);
}
.hero-heading h1 {
  font-size: 140%;
  font-family: var(--primary-font);
  color: #ffffff;
  letter-spacing: 0.1em;
}
.hero-heading p {
  font-size: 120%;
}

/* -------------------------------
   Sections
---------------------------------- */

.flex-container section {
  flex-basis: 100%;
  margin-bottom: 20px;
}

/* -------------------------------
   Page Summaries
---------------------------------- */

.page-summary {
  padding: 0 8%;
  margin: 0;
  text-align: center;
}

/* -------------------------------
   Content Cards
---------------------------------- */

.card-container {
  text-align: center;
}

.card-side-padding {
  padding-left: 1.5rem;
  padding-right: 1.5rem;
}
.card-top-padding {
  padding-top: 1.5rem;
}

.card-border {
  margin: 20px 25px 0;
  border: 1px solid var(--text-color);
  border-radius: 5px;
  overflow: hidden;
}

.card-image,
picture,
.card-icon {
  width: 100%;
  height: auto;
  object-fit: cover;
}

.image-border-radius {
  border-radius: 5px;
}
.image-border-top-radius {
  border-top-left-radius: 4px;
  border-top-right-radius: 4px;
}

.card-icon {
  color: var(--primary-darker);
  font-size: 6rem;
}

.card-text {
  text-align: left;
  margin-bottom: 25px;
}

/* Content Cards [HOME] */
#services-summary-image,
#events-summary-image {
  order: 1;
}
#services-summary-body,
#events-summary-body {
  order: 2;
}
.learn-more {
  order: 3;
}

/* Content Cards [Events]*/

.card-image-container {
  position: relative;
  width: 100%;
  height: auto;
}

#upcoming-events .card-container {
  font-size: medium;
}

/* Overlay for displaying the event date */
.card-overlay {
  position: absolute;
  bottom: 6px;
  right: 0;
  background-color: rgba(5, 82, 118, 0.85);
  color: white;
  padding: 5px;
  text-align: center;
  font-family: var(--primary-font);
  font-weight: bold;
  font-size: small;
  width: 70%;
}

address,
time {
  font-style: normal;
  padding: 10px 0;
}

address {
  text-transform: uppercase;
}

.card-heading {
  font-size: 120%;
  text-align: left;
  margin: 0;
  font-family: var(--primary-font);
}

.card-subheading {
  color: var(--primary-normal);
}

/* -------------------------------
   Service Page
---------------------------------- */

#free-guidance-services h2 i,
#support-groups h2 i {
  margin-left: 1rem;
}

.services-description {
  padding: 0 1rem;
  text-align: center;
}
.services-description p {
  text-align: center;
}

/* Services Collapsible items (unordered lists) */
.services-list {
  list-style-type: none;
  padding-left: 0;
}

.services-list li {
  margin-top: 1.5rem;
}
.collapsible-container {
  border-bottom: 2px solid var(--primary-normal);
  display: inline-block;
  padding-bottom: 0.45rem;
  width: 100%;
}

/* Collapsible Descriptions */

.toggle-description {
  display: none;
}

.collapsible-description {
  display: none;
  margin-top: 0.8rem;
}

/* Show Description */
.collapsible-container .toggle-description:checked ~ .collapsible-description {
  display: block;
}

/* Toggle labels */

.toggle-label {
  margin-right: 0.5rem;
  cursor: pointer;
  font-size: large;
}

.toggle-label::before {
  content: "\2b";
  font-weight: 900;
  font-family: "FontAwesome";
  color: var(--primary-normal);
}

.toggle-description:checked + .toggle-label::before {
  content: "\f068";
}

/* -------------------------------
   Buttons - General Styling
---------------------------------- */
.button,
.button-secondary,
a .button,
a .button-secondary {
  display: inline-block;
  padding: 10px 18px;
  border-radius: 28px;
  transition: all 100ms ease-in-out;
  color: #ffffff;
  border: none;
  text-decoration: none;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
  transition: all 150ms ease-in-out;
  cursor: pointer;
  font-size: 1rem;
}

.button:active,
.button-secondary:active,
a .button:active,
a .button-secondary:active {
  /*gives the impression of button being pressed*/
  transform: scale(0.98);
  text-decoration: none;
  box-shadow: inset 0 4px 6px rgba(0, 0, 0, 0.2);
}

.button {
  background-color: var(--primary-normal);
}

.button:hover,
.button:focus {
  background-color: var(--primary-light);
  color: #000000;
  text-decoration: none;
}

.button:active {
  background-color: var(--primary-darker);
  color: #ffffff;
}

.button-secondary {
  background-color: var(--secondary-normal);
}

.button-secondary:hover,
.button-secondary:focus {
  background-color: var(--secondary-light);
  color: #000000;
}

.button-secondary:active {
  background-color: var(--seconday-darker);
  color: #ffffff;
}

/* -------------------------------
   Forms - General Styling
---------------------------------- */

form {
  padding: 10px 10px 40px 10px;
  margin: 0 auto;
  max-width: 900px;
  border-radius: 5px;
  background-color: #eaf6ea;
}
#events-form-container {
  padding-top: 60px;
}
fieldset {
  border: none;
  margin: 0;
  padding: 0;
}

input,
textarea {
  margin: 6px 0;
  padding: 0.75rem 0.75rem;
  border: 1px solid #ced4da;
  border-radius: 4px;
}

textarea {
  width: 100%;
  height: 100px;
}

.form-legend {
  font-weight: 600;
  padding-bottom: 8px;
}

label,
.form-legend {
  font-size: 0.9rem;
}
.form-container {
  padding: 0 10px;
  margin: 0 3%;
}

.form-heading {
  color: var(--secondary-normal);
}

.input-group > label,
.input-group > input,
textarea {
  display: block;
}
.input-group {
  margin-top: 15px;
}

input[type="text"],
input[type="email"],
input[type="tel"] {
  width: 90%;
}

input[type="number"] {
  width: 65px;
}
form button {
  margin-top: 20px;
}

.join-us {
  text-align: center;
}

/* Forms state style */

input:focus,
textarea:focus {
  border-color: var(--primary-light);
  outline: 0;
  box-shadow: 0 0 0 0.2rem rgba(0, 123, 255, 0.25);
}

/* Form Input Disabled */
input:disabled + label,
textarea:disabled + label,
select:disabled + label {
  opacity: 0.6;
  cursor: not-allowed;
}
input:disabled,
textarea:disabled,
select:disabled {
  cursor: not-allowed;
}

/* -------------------------------
   Success Page
---------------------------------- */
#success-main-content {
  padding-top: 10px;
}

.success-page {
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
}

/* -------------------------------
   Footer
---------------------------------- */
footer {
  background-color: var(--seconday-darker);
  padding: 3rem 1.5rem;
  color: #ffffff;
  margin-top: 4rem;
  position: relative;
}

footer .grid-container {
  gap: 1rem;
  align-items: center;
}

footer a {
  color: var(--primary-light);
}
footer a:active {
  color: var(--primary-light);
  text-decoration: underline;
}

footer a:hover,
footer a:focus {
  color: #aedbb0;
}

footer ul {
  list-style-type: none;
  margin: 0;
  padding: 0;
}

.site-map-list li {
  padding-bottom: 0.5rem;
}

/*social media*/
.social-media {
  border: 1px solid var(--primary-light);
  border-radius: 45px;
  padding: 15px 25px;
  display: flex;
  align-items: center;
  max-width: max-content;
}

.social-media-text {
  display: block;
  margin-right: 5px;
}

/* -------------------------------
   Media Queries - Tablet (min-width: 768px)
---------------------------------- */

@media screen and (min-width: 768px) {
  /* Navbar */
  #nav-toggle-label {
    display: none;
  }

  .nav-menu-list {
    display: inline-block;
    position: static;
    width: auto;
    justify-content: flex-end;
    box-shadow: none;
    background-color: transparent;
  }

  .nav-menu-list > li {
    display: inline-block;
    margin-right: 15px;
  }

  /* Hero Cover */
  .hero-heading {
    max-width: 360px;
    margin-right: 10%;
  }

  /* Content Cards */
  .flex-container {
    flex-direction: row;
  }

  /* Content Cards [HOME] */
  #services-summary-image,
  #events-summary-image {
    flex-basis: 48%;
    width: 48%;
    margin-top: 1.5rem;
  }
  #services-summary-body,
  #events-summary-body {
    flex-basis: 48%;
  }

  /* Content Cards [EVENTS] */
  #upcoming-events {
    grid-template-columns: 1fr 1fr;
  }
  address,
  time {
    font-size: large;
  }

  /* Service Page */
  .collapsible-container {
    width: 90%;
  }

  /* Forms*/
  #service-form-container .form-container {
    display: grid;
    gap: 10px;
    grid-template-columns: 1fr 1fr 1fr;
  }

  #service-form-selection-group,
  #message-service-form-group,
  #service-form-contact-method,
  #service-form-button {
    grid-column: span 3;
  }

  #message-service-form-group {
    margin-right: 20px;
  }

  #service-form-button,
  #event-form-button,
  #event-form-spots-group {
    margin: 0 auto;
  }

  #reserve-event-form .form-container {
    align-items: center;
    display: grid;
    gap: 10px;
    grid-template-columns: 1fr 1fr;
  }

  #event-form-spots-group,
  #event-form-button {
    grid-column: span 2;
  }

  /* Footer */
  footer {
    padding: 3rem;
  }
  footer .grid-container {
    grid-template-columns: 1fr 1fr;
    align-items: start;
    gap: 2rem;
  }
}

/* -------------------------------
   Media Queries - Large Screens (min-width: 992px)
---------------------------------- */

@media screen and (min-width: 992px) {
  /* Navbar */
  nav .logo-name {
    display: inline-block;
  }
  .skip-link {
    left: 40%;
  }

  /* Layout Elements */

  main {
    margin: 0 auto;
    width: 85%;
  }

  /* Content Cards [HOME] */

  .flex-container #services-summary,
  .flex-container #events-summary {
    flex-basis: 48%;
  }

  .flex-container #services-summary-card,
  .flex-container #events-summary-card {
    flex-direction: column;
  }

  #services-summary .card-text,
  #events-summary .card-text {
    min-height: 261px;
  }

  #services-summary-image,
  #events-summary-image {
    flex-basis: 100%;
    width: 100%;
    margin-top: 0;
  }

  #services-summary-body,
  #events-summary-body {
    flex-basis: 100%;
  }

  /* Content Cards [EVENTS] */
  #upcoming-events .card-container {
    flex-basis: 45%;
    margin: 15px auto;
  }

  /* Services Page */

  .collapsible-container {
    width: 80%;
  }

  /* Forms [Services] */
  #service-form-container .form-container {
    gap: 20px;
  }

  #service-form-selection-group,
  #message-service-form-group,
  #service-form-contact-method {
    grid-column: span 1;
  }

  #service-form-button {
    grid-column: span 3;
  }

  input[type="text"],
  input[type="email"],
  input[type="tel"] {
    max-width: 280px;
  }

  /* Forms [EVENTS] */

  #events-form-container .form-container {
    grid-template-columns: 1fr 1fr;
    gap: 5px;
  }
  #events-form-personal-details {
    grid-template-columns: 1fr 1fr 1fr;
    grid-column: span 3;
  }

  .join-us {
    display: none;
  }

  /* Footer */
  footer .grid-container {
    grid-template-columns: 1fr 1fr 1fr 1fr;
  }

  .site-map {
    order: -2;
  }
}

/* -------------------------------
   Media Queries - XL Screens (min-width: 1200px)
---------------------------------- */

@media screen and (min-width: 1200px) {
  .page-summary {
    text-align: left;
    padding: 0 20%;
  }

  /* Content Card [SERVICES] */
  #services-summary .card-text,
  #events-summary .card-text {
    min-height: 208px;
  }

  .flex-container #free-guidance-services,
  .flex-container #support-groups {
    flex-basis: 48%;
  }

  /* Forms */
  #service-form-container .form-container {
    grid-template-columns: 1fr 1fr 1fr;
    gap: 5px;
  }

  /* Footer */
  footer .grid-container {
    max-width: 1595px;
  }
}
